# Ogre::IlluminationPass Struct Reference

Struct recording a pass which can be used for a specific illumination stage. More...

`#include <OgrePass.h>`

List of all members.

## Public Attributes

IlluminationStage | stage
Pass * | pass
| The pass to use in this stage.
bool | destroyOnShutdown
| Whether this pass is one which should be deleted itself.
Pass * | originalPass
| The original pass which spawned this one.

## Detailed Description

Struct recording a pass which can be used for a specific illumination stage.

Remarks:
  This structure is used to record categorised passes which fit into a number of distinct illumination phases - ambient, diffuse / specular (per-light) and decal (post-lighting texturing). An original pass may fit into one of these categories already, or it may require splitting into its component parts in order to be categorised properly.

Definition at line 959 of file OgrePass.h.

## Member Data Documentation

bool Ogre::IlluminationPass::destroyOnShutdown

| Whether this pass is one which should be deleted itself. Definition at line 965 of file OgrePass.h.

Pass* Ogre::IlluminationPass::originalPass

| The original pass which spawned this one. Definition at line 967 of file OgrePass.h.

Pass* Ogre::IlluminationPass::pass

| The pass to use in this stage. Definition at line 963 of file OgrePass.h.

IlluminationStage Ogre::IlluminationPass::stage

| Definition at line 961 of file OgrePass.h.

The documentation for this struct was generated from the following file:

- OgrePass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:00 2006